OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.PolygonOffsetClamp

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTPolygonOffsetClamp :: MonadIO m => m Bool
- gl_EXT_polygon_offset_clamp :: Bool
- gl_POLYGON_OFFSET_CLAMP_EXT :: GLenum
- glPolygonOffsetClampEXT :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()

# Extension Support

glGetEXTPolygonOffsetClamp :: MonadIO m => m Bool

Is the EXT_polygon_offset_clamp extension supported?

gl_EXT_polygon_offset_clamp :: Bool

Is the EXT_polygon_offset_clamp extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTPolygonOffsetClamp` in those cases instead.

# Enums

gl_POLYGON_OFFSET_CLAMP_EXT :: GLenum

# Functions

glPolygonOffsetClampEXT

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> GLfloat | `units`.
-> GLfloat | `clamp`.
-> m () |